### Virtual Method

# Lfb GdbusFeedbackHaptic handle_vibrate

#### Declaration [src]

    gboolean
    handle_vibrate (
      LfbGdbusFeedbackHaptic* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_app_id,
      GVariant* arg_pattern
    )

#### Description [src]

Handler for the `LfbGdbusFeedbackHaptic::handle-vibrate` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_app_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_pattern`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.